package net.sys42.dakedres.grafting.item;

import eu.pb4.polymer.core.api.item.PolymerItem;
import net.minecraft.block.Block;
import net.minecraft.item.*;
import net.minecraft.server.network.ServerPlayerEntity;
import org.jetbrains.annotations.Nullable;

public class WorkbenchItem extends BlockItem implements PolymerItem {
	public WorkbenchItem(Block block, Settings settings, String modelId) {
		super(block, settings);
	}

	@Override
	public Item getPolymerItem(ItemStack itemStack, @Nullable ServerPlayerEntity serverPlayerEntity) {
		return Items.CRAFTING_TABLE;
	}

	// Thank you Mykhailo!
	// copied from:
	// https://github.com/MykhailoOpryshok/Borukva-Food/blob/master/src/main/java/com/opryshok/block/TexturedPolyBlockItem.java#L18
//    @Override
//    public ActionResult useOnBlock(ItemUsageContext context) {
//        var x = super.useOnBlock(context);
//        if (x == ActionResult.CONSUME) {
//            if (context.getPlayer() instanceof ServerPlayerEntity player) {
//                var pos = Vec3d.ofCenter(context.getBlockPos().offset(context.getSide()));
//                var blockSoundGroup = this.getBlock().getDefaultState().getSoundGroup();
//                player.networkHandler.sendPacket(new PlaySoundS2CPacket(Registries.SOUND_EVENT.getEntry(this.getPlaceSound(this.getBlock().getDefaultState())), SoundCategory.BLOCKS, pos.x, pos.y, pos.z, (blockSoundGroup.getVolume() + 1.0F) / 2.0F, blockSoundGroup.getPitch() * 0.8F, context.getPlayer().getRandom().nextLong()));
//            }
//            return ActionResult.SUCCESS;
//        }
//        return x;
//    }

}
