package net.sys42.dakedres.grafting.ui;

import eu.pb4.polymer.resourcepack.api.PolymerModelData;
import eu.pb4.polymer.resourcepack.api.PolymerResourcePackUtils;
import net.minecraft.component.ComponentType;
import net.minecraft.component.DataComponentTypes;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;
import net.minecraft.util.Unit;
import net.sys42.dakedres.grafting.Grafting;

public class Icons {
	public static final Item BASE_ITEM = Items.BREEZE_ROD;

	public static final PolymerModelData ROTATE_CLOCKWISE = uiElementModel("icons/rotate_clockwise.png");
	public static final PolymerModelData ROTATE_COUNTER_CLOCKWISE = uiElementModel("icons/rotate_counter_clockwise.png");

	private static PolymerModelData uiElementModel(String path) {
		return PolymerResourcePackUtils.requestModel(BASE_ITEM, Identifier.of(Grafting.MOD_ID + path));
	}

	public static ItemStack getStack(PolymerModelData model) {
		ItemStack stack = Icons.ROTATE_CLOCKWISE.asStack();
		stack.set(DataComponentTypes.HIDE_TOOLTIP, Unit.INSTANCE);

		return stack;
	}
}
